unified-agent-config
Update Agent Configuration
Update comprehensive agent configuration.
PUT
/
unified
/
agents
/
{agent_id}
/
config
Update Agent Configuration
curl --request PUT \
--url https://api.example.com/unified/agents/{agent_id}/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"model_provider": "<string>",
"model_name": "<string>",
"temperature": 0.5,
"max_tokens": 525,
"first_message_mode": true,
"first_message_script": "<string>",
"voice_provider": "<string>",
"voice_id": "<string>",
"background_sound_url": "<string>",
"input_min_characters": 55,
"transcriber_provider": "<string>",
"transcriber_model": "<string>",
"background_denoising": true,
"confidence_threshold": 0.5,
"wait_seconds": 0.55,
"smart_endpointing": true,
"interruption_words": 5,
"punctuation_boundary_ms": 275,
"no_punctuation_boundary_ms": 1900,
"silence_timeout_seconds": 65,
"max_duration_seconds": 990,
"idle_messages_enabled": true,
"max_idle_messages": 5,
"idle_timeout_seconds": 32.5,
"analysis_prompt": "<string>",
"analysis_timeout_sec": 30,
"min_messages_for_analysis": 5,
"voicemail_detection_enabled": true,
"voicemail_message": "<string>",
"end_call_message": "<string>",
"keypad_input_enabled": true,
"keypad_timeout_seconds": 3,
"keypad_delimiters": "<string>",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tools": [
{}
],
"default_user_lang": "<string>",
"thinking_lang": "<string>",
"interruptions_enabled": true,
"escalation_policy": {}
}
'import requests
url = "https://api.example.com/unified/agents/{agent_id}/config"
payload = {
"name": "<string>",
"description": "<string>",
"model_provider": "<string>",
"model_name": "<string>",
"temperature": 0.5,
"max_tokens": 525,
"first_message_mode": True,
"first_message_script": "<string>",
"voice_provider": "<string>",
"voice_id": "<string>",
"background_sound_url": "<string>",
"input_min_characters": 55,
"transcriber_provider": "<string>",
"transcriber_model": "<string>",
"background_denoising": True,
"confidence_threshold": 0.5,
"wait_seconds": 0.55,
"smart_endpointing": True,
"interruption_words": 5,
"punctuation_boundary_ms": 275,
"no_punctuation_boundary_ms": 1900,
"silence_timeout_seconds": 65,
"max_duration_seconds": 990,
"idle_messages_enabled": True,
"max_idle_messages": 5,
"idle_timeout_seconds": 32.5,
"analysis_prompt": "<string>",
"analysis_timeout_sec": 30,
"min_messages_for_analysis": 5,
"voicemail_detection_enabled": True,
"voicemail_message": "<string>",
"end_call_message": "<string>",
"keypad_input_enabled": True,
"keypad_timeout_seconds": 3,
"keypad_delimiters": "<string>",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tools": [{}],
"default_user_lang": "<string>",
"thinking_lang": "<string>",
"interruptions_enabled": True,
"escalation_policy": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
model_provider: '<string>',
model_name: '<string>',
temperature: 0.5,
max_tokens: 525,
first_message_mode: true,
first_message_script: '<string>',
voice_provider: '<string>',
voice_id: '<string>',
background_sound_url: '<string>',
input_min_characters: 55,
transcriber_provider: '<string>',
transcriber_model: '<string>',
background_denoising: true,
confidence_threshold: 0.5,
wait_seconds: 0.55,
smart_endpointing: true,
interruption_words: 5,
punctuation_boundary_ms: 275,
no_punctuation_boundary_ms: 1900,
silence_timeout_seconds: 65,
max_duration_seconds: 990,
idle_messages_enabled: true,
max_idle_messages: 5,
idle_timeout_seconds: 32.5,
analysis_prompt: '<string>',
analysis_timeout_sec: 30,
min_messages_for_analysis: 5,
voicemail_detection_enabled: true,
voicemail_message: '<string>',
end_call_message: '<string>',
keypad_input_enabled: true,
keypad_timeout_seconds: 3,
keypad_delimiters: '<string>',
workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tools: [{}],
default_user_lang: '<string>',
thinking_lang: '<string>',
interruptions_enabled: true,
escalation_policy: {}
})
};
fetch('https://api.example.com/unified/agents/{agent_id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"model_settings": {},
"voice_config": {},
"transcriber_config": {},
"conversation_control": {},
"call_timeout": {},
"analysis_config": {},
"voicemail_config": {},
"keypad_config": {},
"tools": [
{}
],
"language_config": {},
"advanced_config": {},
"external_integration": {},
"created_at": "<string>",
"updated_at": "<string>",
"workflow": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Comprehensive agent configuration update model.
Required string length:
1 - 255Agent status enumeration.
Available options:
draft, active, paused Pattern:
^(openai|azure_openai|anthropic|google|groq|cerebras|deepseek|xai|mistral|perplexity|together|fireworks|cohere|amazon_bedrock|alibaba_qwen|ibm_watsonx|meta_llama|anyscale|openrouter|deepinfra|custom_llm)$Required range:
0 <= x <= 1Required range:
50 <= x <= 1000Pattern:
^(elevenlabs|cartesia|azure|livekit_inference)$Required range:
10 <= x <= 100Pattern:
^(deepgram|google|azure|assemblyai|livekit_inference)$Required range:
0 <= x <= 1Required range:
0.1 <= x <= 1Required range:
0 <= x <= 10Required range:
50 <= x <= 500Required range:
800 <= x <= 3000Required range:
10 <= x <= 120Required range:
180 <= x <= 1800Required range:
1 <= x <= 10Required range:
5 <= x <= 60Required range:
1 <= x <= 60Required range:
0 <= x <= 10Required range:
1 <= x <= 6Pattern:
^[#*]+$Required string length:
2 - 10Required string length:
2 - 10Response
Successful Response
Comprehensive agent configuration response.
⌘I
Update Agent Configuration
